﻿@model IEnumerable<StavkaNabaveViewModel>

<table class="table table-striped" id="table-stavke">
    <thead>
        <tr>
            @{
                    string[] nazivi = { "Id", "Evidencijski broj", "Predmet nabave", "Procjenjena vrijednost", "Vrijedi od", "Vrijedi do", "CPV", "Valuta", "Vrsta postupka"};
                for (int i = 0; i < nazivi.Length; i++)
                {
                    <th class="text-center">
                        @nazivi[i]
                    </th>
                }
            }
            <th></th>
        </tr>
    </thead>
    <tbody>
        @foreach (var stavka in Model)
        {
        <tr>
            <td class="text-left col-sm-4">
                <input type="hidden" name="Stavke.Index" value="@stavka.Id" />
                <input type="hidden" name="Stavke[@stavka.Id].Id" value="@stavka.Id" />
                @stavka.Id
            </td>
            <td class="text-center col-sm-3">
                <input name="Stavke[@stavka.Id].EvidencijskiBroj" class="form-control" value="@stavka.EvidencijskiBroj" />
            </td>
            <td class="text-center col-sm-3">
                <input name="Stavke[@stavka.Id].PredmetNabave" class="form-control" value="@stavka.PredmetNabave" />
            </td>
            <td class="text-center col-sm-3">
                <input name="Stavke[@stavka.Id].ProcjenjenaVrijednost" class="form-control" value="@stavka.ProcjenjenaVrijednost" />
            </td>
            <td class="text-center col-sm-3">
                <input name="Stavke[@stavka.Id].VrijediOd" class="form-control" value="@stavka.VrijediOd" />
            </td>
            <td class="text-center col-sm-3">
                <input name="Stavke[@stavka.Id].VrijediDo" class="form-control" value="@stavka.VrijediDo" />
            </td>
            <td class="text-center col-sm-3">
                <input type="hidden" data-autocomplete-placeholder="accpv" />
                <input name="Stavke[@stavka.Id].CPV" class="form-control" value="@stavka.CPV" data-autocomplete="accpv" />
            </td>
            <td class="text-center col-sm-3">
                <input type="hidden" data-autocomplete-placeholder="acvaluta" />
                <input name="Stavke[@stavka.Id].Valuta" class="form-control" value="@stavka.Valuta" data-autocomplete="acvaluta" />
            </td>
            <td class="text-center col-sm-3">
                <input type="hidden" data-autocomplete-placeholder="acvrstapostupka" />
                <input name="Stavke[@stavka.Id].VrstaPostupka" class="form-control" value="@stavka.VrstaPostupka" data-autocomplete="acvrstapostupka" />
            </td>
            <td>
                <button class="btn btn-sm btn-danger deleterow" title="Izbaci"><i class="fa fa-minus"></i></button>
            </td>
        </tr>
        }
    <tr>
        <td class="text-center col-sm-1">
            <input id="stavka-vrijednost" type="hidden" data-autocomplete-placeholder="acstavka" />
            <script>
                function dodajID() {
                    document.getElementById("stavka-id").value = $("#stavka-vrijednost").val();
                }
            </script>
        </td>
        <td class="text-center col-sm-1">
            <input id="stavka-evidencijskibroj" type="number" data-autocomplete="evidencijskibroj" />
        </td>
        <td class="text-center col-sm-1">
            <input id="stavka-predmetnabave" type="text" data-autocomplete="predmetnabave" />
        </td>
        <td class="text-center col-sm-1">
            <input id="stavka-procjenjenavrijednost" type="number" data-autocomplete="procjenjenavrijednost" />
        </td>
        <td class="text-center col-sm-1">
            <input id="stavka-vrijediod" type="text" data-autocomplete="vrijediod" />
        </td>
        <td class="text-center col-sm-1">
            <input id="stavka-vrijedido" type="text" data-autocomplete="vrijedido" />
        </td>
        <td class="text-center col-sm-1">
            <input type="hidden" data-autocomplete-placeholder="accpv" />
            <input id="stavka-cpv" type="text" data-autocomplete="accpv" />
        </td>
        <td class="text-center col-sm-1">
            <input type="hidden" data-autocomplete-placeholder="acvaluta" />
            <input id="stavka-valuta" type="text" data-autocomplete="acvaluta" />
        </td>
        <td class="text-center col-sm-1">
            <input type="hidden" data-autocomplete-placeholder="acvrstapostupka" />
            <input id="stavka-vrstapostupka" type="text" data-autocomplete="acvrstapostupka" />
        </td>
        <td class="text-left" colspan="3">
            <button onclick="dodajID()" id="stavka-dodaj" class="btn btn-sm btn-secondary" title="Dodaj"><i class="fas fa-plus"></i></button>
        </td>
    </tr>
    </tbody>
</table>